Bug 90285 - double click wrapped text not always correct
Summary: double click wrapped text not always correct
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vte   
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-06 14:24 UTC by greg hosler
Modified: 2007-04-18 16:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-05 03:28:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description greg hosler 2003-05-06 14:24:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
double clicking on text in gnome-terminal apparently is unaware of where line
terminators are, and concatenates end-of-line with begining of next line,
seemingly unconditionally. This is not always correct.


Version-Release number of selected component (if applicable):
gnome-terminal-2.2.1-3

How reproducible:
Always

Steps to Reproduce:
1. set a gnome-terminal to 80 column width
2. touch test_file_this_long_1234
3. touch test_file_this_long_5678
4. ls -l test_file*
5. note that test_file_this_long_1234 bumps exactly the right margin
6. double click on test_file_this_long_1234
7. note that test_file_this_long_1234-rw-rw-rw- is highlighted (i.e. the
-rw-rw-rw- from the next line!)


    

Actual Results:  test_file_this_long_1234-rw-rw-rw- is highlighted (and put into
the copy buffer)

Expected Results:  test_file_this_long_1234 should have been highlighted,
without the trailing wrapped -rw-rw-rw- (which is on w new line by itself).

Additional info:

double clicking a work at the end of the line should highlight thru the line
wrap, if it is a line-wrap, and not if it is a line-terminator.

Comment 1 Ray Strode [halfline] 2004-11-05 03:28:49 UTC
This doesn't seem to be a problem anymore with recent versions of vte.
 I'm going to close this bug, but if you encounter problems with a
recent version of vte, feel free to reopen.


Note You need to log in before you can comment on or make changes to this bug.